# frozen_string_literal: true

module CustomersDot
  module Page
    module Login
      # @note Defined as +text_field :username+
      # @return [String] The text content or value of +username+
      def username
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # Set the value of username
      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     login.username = 'value'
      #   end
      # @param value [String] The value to set.
      def username=(value)
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login.username_element).to exist
      #   end
      # @return [Watir::TextField] The raw +TextField+ element
      def username_element
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login).to be_username
      #   end
      # @return [Boolean] true if the +username+ element is present on the page
      def username?
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @note Defined as +text_field :password+
      # @return [String] The text content or value of +password+
      def password
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # Set the value of password
      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     login.password = 'value'
      #   end
      # @param value [String] The value to set.
      def password=(value)
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login.password_element).to exist
      #   end
      # @return [Watir::TextField] The raw +TextField+ element
      def password_element
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login).to be_password
      #   end
      # @return [Boolean] true if the +password+ element is present on the page
      def password?
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @note Defined as +button :sign_in+
      # Clicks +sign_in+
      def sign_in
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login.sign_in_element).to exist
      #   end
      # @return [Watir::Button] The raw +Button+ element
      def sign_in_element
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login).to be_sign_in
      #   end
      # @return [Boolean] true if the +sign_in+ element is present on the page
      def sign_in?
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @note Defined as +div :failure_alert+
      # @return [String] The text content or value of +failure_alert+
      def failure_alert
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login.failure_alert_element).to exist
      #   end
      # @return [Watir::Div] The raw +Div+ element
      def failure_alert_element
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login).to be_failure_alert
      #   end
      # @return [Boolean] true if the +failure_alert+ element is present on the page
      def failure_alert?
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @note Defined as +div :successful_gitlab_auth+
      # @return [String] The text content or value of +successful_gitlab_auth+
      def successful_gitlab_auth
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login.successful_gitlab_auth_element).to exist
      #   end
      # @return [Watir::Div] The raw +Div+ element
      def successful_gitlab_auth_element
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login).to be_successful_gitlab_auth
      #   end
      # @return [Boolean] true if the +successful_gitlab_auth+ element is present on the page
      def successful_gitlab_auth?
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @note Defined as +button :sign_in_via_gitlab+
      # Clicks +sign_in_via_gitlab+
      def sign_in_via_gitlab
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login.sign_in_via_gitlab_element).to exist
      #   end
      # @return [Watir::Button] The raw +Button+ element
      def sign_in_via_gitlab_element
        # This is a stub, used for indexing. The method is dynamically generated.
      end

      # @example
      #   CustomersDot::Page::Login.perform do |login|
      #     expect(login).to be_sign_in_via_gitlab
      #   end
      # @return [Boolean] true if the +sign_in_via_gitlab+ element is present on the page
      def sign_in_via_gitlab?
        # This is a stub, used for indexing. The method is dynamically generated.
      end
    end
  end
end
